Calibration Executive 4.6.1 Readme

December 2018

This file contains important information about Calibration Executive, including installation instructions, new features, and known issues.

Overview

System Requirements

Supported Operating Systems

NI Software Support for Microsoft Windows 7 and Windows XP

Product Security and Critical Updates

Driver Information

New Features, Procedures, and Behavior Changes

Calibration Executive 4.6.1

Calibration Executive 4.6

Calibration Executive 4.5.1

Calibration Executive 4.5

Calibration Executive 4.2.1

Calibration Executive 4.2

Calibration Executive 4.1.1

Calibration Executive 4.1

Calibration Executive 4.0.2

Calibration Executive 4.0.1

Known Issues

Accessing the Help

Automating the Installation of NI Products

Using NI Software with Microsoft Windows 10

Using NI Software with Microsoft Windows 8.1

Legal Information


Overview

Calibration Executive 4.6.1 is a patch for Calibration Executive 4.0. Calibration Executive 4.0 or later must be installed on your system prior to upgrading to Calibration Executive 4.6.1. Refer to the Calibration Executive 4.0 readme for details about that installation.

Calibration Executive provides product calibration support on Windows 32-bit and 64-bit operating systems. Note that Windows 32-bit and 64-bit support is dependent upon device driver support. Refer to the Windows Support topic in the Calibration Executive Help for information about exceptions.

Calibration Executive 4.6.1 does not support legacy procedures that require the NI Traditional DAQ driver. Calibration support for these devices is available using Calibration Executive for Traditional DAQ Version 3.5.2.

System Requirements

Calibration Executive has the following requirements:

  • Pentium 4/M processor or equivalent
  • 4 GB of RAM
  • 1024 x 768 pixels screen resolution
  • The user must have administrator privileges

Supported Operating Systems

Calibration Executive supports the following operating systems (64-bit operating system is recommended):

  • Windows 10
  • Windows 8.11
  • Windows 7 SP12

Note  Support for Windows 32-bit operating systems may require disabling physical address extension (PAE). To learn how this might affect your system and what actions you might need to take, visit ni.com/info and enter the Info Code PAESupport.

1 NI software installs VC2015 Runtime and .NET 4.6.2. Windows 8.1 requires Microsoft updates to support these items. Refer to Microsoft KB2919442 and KB2919355 for more information about how to install these updates.

2 NI software is signed with a SHA-256 certificate. Windows 7 SP1 requires Microsoft updates to support SHA-256. Refer to Microsoft KB3033929 for more information about how to install this security update.

Calibration Executive 4.0 Drops Support for Microsoft Windows 7 RTM and Windows XP

With this release, Calibration Executive drops support for Microsoft Windows 7 RTM (with no service pack) and Windows XP. Calibration Executive 4.0 and later will not install or run on an unsupported OS. Additionally, after installing Calibration Executive 4.0, you cannot use any installers built on this computer with any version of LabVIEW, LabWindows™/CVI™, NI TestStand™, or Measurement Studio on an unsupported OS.

For more information about the changes to our OS support for 2017, refer to KB 79UC78LS, Why Does My NI ADE Installer Fail on Windows XP/Vista and Windows Server 2003?.

Product Security and Critical Updates

Visit ni.com/security to view and subscribe to receive security notifications about NI products. Visit ni.com/critical-updates for information about critical updates from NI.

Driver Information

The following driver versions3 are required for Calibration Executive 4.6.1. Download drivers from http://www.ni.com/downloads/ and install manually.

  • NI-Sync 17.0
  • NI-RFSA 17.1.2 (Includes NI-RFSG 17.1.2)
  • NI-568x 17.0
  • NI-FGEN 18.1
  • NI-DAQmx 17.6
  • NI-SCOPE 18.6
  • NI-Digital 18.0 (only required for the PXIe-6571)

    Note  Upgrading to NI-Digital 18.0 is supported only on 64-bit Operating Systems. If you require PXIe-6571 support on a 32-bit OS, you must first uninstall the NI-Digital 16.0 Runtime Engine and Calibration Executive. Next, install the NI-Digital 18.0 Runtime Engine, and then reinstall Calibration Executive 4.0 followed by the Calibration Executive 4.6.1 patch.

3 New versions of the NI-DAQmx, NI-Scope, and NI-Digital drivers are required since the release of Calibration Executive 4.5.1. NI-Sync, NI-RFSA, NI-568s, and NI-FGEN drivers have been updated since the release of Calibration Executive 4.0.

The following instruments require specific drivers that are not installed by Calibration Executive. To install these drivers, you must download them directly from the manufacturer's website; you can find links to the third party instrument drivers at ni.com/idnet. The driver versions listed are those tested during development; later versions might be available and should be compatible.

  • The Rohde & Schwarz NRP-Z power meter requires the following tool kit and drivers from rohde-schwarz.com:
    • NRP-Toolkit 4.16
    • NRP-NI-VISA Passport 2.7.1
    • NRP-Z VXI Plug & Play x86 Driver 3.6.0.0
  • The Rohde & Schwarz SMA100A signal generator requires the VXIplug&play x86 driver rssma version 2.21.0 from rohde-schwarz.com.
  • The Tektronix CSA8000 oscilloscope requires the Tektronix tktds8k LabVIEW Driver 3.0 from tek.com.
  • The Tektronix DSA8300 oscilloscope requires the Tektronix tkdsa83xx LabVIEW Driver 1.0.0.4. Download "DSA8300 Oscilloscope Firmware for Windows 7 - V6.5.1.1" or later from tek.com and install the PnP Driver.

Note  This release does not include an NI-VNA driver. To run the PXI-5691 and PXIe-5632 procedures, download NI-VNA 16.0 and install the driver manually after you install Calibration Executive.

New Features, Procedures, and Behavior Changes

The Behavior Changes sections below list the procedures that have been modified since the Calibration Executive 4.0 major release, organized by release versions. Refer to an individual procedure's About Procedure section for details about the changes.

Calibration Executive 4.6.1

The Calibration Executive 4.6.1 patch release changes the following:

    Behavior Changes
    PCI-4070 PXI-4070 PXI-4071 PXI-4072  
    PXIe-5665 PXIe-5413 PXIe-5423 PXIe-5433  

Calibration Executive 4.6

The Calibration Executive 4.6 patch release changes the following:

    New Product Support
    PXIe-5110 PXIe-5111 PXIe-5113 PXIe-56684  
    PCIe-6374 PCIe-6376 PXIe-6571 PCIe-6738  
    NI 9207 NI 9208 NI 9209 NI 9210 with mini-TC  

    4 Supported PXIe-5668 models now include the 14 GHz variant (80 MHz, 200 MHz, and 765 MHz bandwidths) and the 26.5 GHz variant (80 MHz bandwidth).

     
    Behavior Changes
    B/E/M/S/X Series Procedure (60xx/61xx/62xx/63xx) PXIe-4154 PCI-5122  
    PXIe-5668 (26.5 GHz, 200 MHz & 765 MHz bandwidths) PXIe-5840 PXIe-6738  
    PXIe-6739 NI 9207 (with DSUB) NI 9212 NI 9361  

Note  The cDAQ-9172 chassis is not supported in NI-DAQmx 17.6 and later. Therefore, cDAQ-9172 is no longer supported in Calibration Executive beginning with version 4.6. Refer to http://www.ni.com/product-documentation/54233/en/ for information about devices and modules no longer supported in NI-DAQmx.

Calibration Executive 4.5.1

The Calibration Executive 4.5.1 patch release changes the following:

    Behavior Changes
    NI 9216 NI 9226 PXIe-5450 PXIe-5451  

Calibration Executive 4.5

The Calibration Executive 4.5 patch release changes the following:

    New Features
    • Create custom report types for calibration certificates.
    • Edit DUT Notes and Calibration Due Date report attributes.
    • Two- and three-year license subscriptions.
    New Product Support
    cDAQ-9179 cDAQ-9184 cDAQ-9185 cDAQ-9189  
    NI 9218 PXI-6683 PXI-6683H PXIe-5185 (1 MΩ)  
    PXIe-5186 (1 MΩ) PXIe-5413 PXIe-5423 PXIe-5433  
    PXIe-5632 RMX-4124 RMX-4125 USB-5681  
    Behavior Changes
    cDAQ-9171 cDAQ-9172 cDAQ-9174 cDAQ-9178 cDAQ-9181
    cDAQ-9188 cDAQ-9191 NI 9219 PXI-5404 PXI-5422
    PXIe-4080 PXIe-4081 PXIe-4082 PXIe-4137 PXIe-4464
    PXIe-5160 PXIe-5162 PXIe-5185 (50 Ω) PXIe-5186 (50 Ω) PXIe-5442
    PXIe-5646R PXIe-6570 SCXI-1503    

Calibration Executive 4.2.1

The Calibration Executive 4.2.1 patch release changes the following:

    Behavior Changes
    PXIe-5840        

Calibration Executive 4.2

The Calibration Executive 4.2 minor release changed the following:

    New Features
    • Automated instrument support for the Tektronix DSA8300 for the PXIe-6555/6556 procedure
    New Product Support
    PXIe-5164 PXIe-5172 PXIe-5840    
    NI 9250 NI 9251      
    Behavior Changes
    PXIe-5170R PXIe-5171R PXIe-5644R PXIe-5645R PXIe-5646R
    NI 5650 NI 5651 NI 5652 PXIe-5663/E PXIe-5673E
    NI 9217        

Calibration Executive 4.1.1

The Calibration Executive 4.1.1 patch release changes the following:

    Behavior Changes
    PXIe-6555 PXIe-6556      

Calibration Executive 4.1

The Calibration Executive 4.1 minor release changed the following:

    New Features
    • Measurement uncertainty reporting
    • Single setup for multiple sequential runs of a specific device type
    • Device under test (DUT) tracking number caching and lookup
    • Additional USB instrument standard detection
    • Operator-controlled variable device and system warm-up
    • Setup-configured conditional adjust support
    New Product Support
    PXIe-4080 (90 day) PXIe-4081 (90 day) PXIe-4082 (90 day)    
    NI 9246 NI 9247 VB-8034    
    Behavior Changes
    PCI-5412 PXI-5412 PCI-5421 PXI-5421 PXI-5441
    PXIe-4080 (2 yr) PXIe-4081 (2 yr) PXIe-4082 (2 yr) PXIe-4138 PXIe-4139
    RM-4339 PXIe-4464 PXIe-5160 (2 CH) PXIe-5160 (4 CH) PXIe-5162 (2 CH)
    PXIe-5162 (4 CH) PXIe-5673 PXIe-5673E (3.3 GHz) PXIe-5673E (6.6 GHz) PXIe-5644R
    PXIe-5645R PXIe-5646R PXIe-5665 (3.6 GHz) PXIe-5665 (14 GHz) PXIe-6570
    TB-9212 TB-9214      

Calibration Executive 4.0.2

The Calibration Executive 4.0.2 patch release changed the following:

    Behavior Changes
    PXIe-5644R PXIe-5645R PXIe-5646R    
    • The VST procedures have been updated to fix a compatibility issue for the latest Part Number variants.

Calibration Executive 4.0.1

The Calibration Executive 4.0.1 patch release changed the following:

    Behavior Changes
    PXIe-4136 PXIe-4137 PXIe-4138 PXIe-4139 PXIe-5162 (4 CH)
    PXIe-5644R PXIe-5645R PXIe-5646R PXIe-5650 PXIe-5673/E
    PXIe-6555 PXIe-6556 PXIe-6570 PXIe-6738 PXIe-6739
    NI VB-8012 NI 9207 with DSUB NI 9208 with DSUB NI 9209 with DSUB  

Note  The Verify & Adjust Run Mode option was removed from the PXIe-5645R procedure in Calibration Executive 4.0 due to Windows system memory limitations. Instead, run Verify Only, Adjust Only, and Verify Only, and then merge reports to meet any Verify, Adjust, Re-verify requirements.

Known Issues

This section describes known issues with Calibration Executive.

  • Calibration Executive is not compatible with operating systems that use wide characters, e.g. Japanese, Chinese. Do not install Calibration Executive on this type of operating system.
  • Calibration Executive only works on systems that use a period (.) for the decimal place of floating point numbers. If your system uses a comma (,) for the decimal place, you must change your system's configuration by completing the following steps:
    1. Select Start»Settings»Control Panel.
    2. Click Regional Options.
    3. Click the Numbers tab and change the Decimal Symbol from a comma (,) to a period (.). Change the Digit Grouping Symbol from (.) to (,).
  • This table provides details on known issues that are being researched. The ID provided can be used to track the status of the issues.
  • IDIssue
    643618Report generator can crash on large files in PDF format.
    665119Report generator can crash when compiling a large file in Microsoft Word and Excel formats.
    677002Some procedures require a PXI-4070, PXI-4071, or PXI-4072 DMM as an instrument standard; running these using a PXIe-4080, PXIe-4081, or PXIe-4082 DMM causes errors. For more information and a list of procedures, refer to the Calibration Executive Help topic DMM Instrument Standard Considerations.
    677937PXIe-5840 self-calibration runs out of memory on 32-bit operating systems. Refer to the Self-Calibration Memory Issue on 32-bit Operating System section in the PXIe-5840 procedure help for further details.
    698835The PXIe-5413/5423/5433 calibration procedure is unable to automatically update the external calibration date after a successful adjustment. Instead, use Measurement & Automation Explorer to modify the external calibration date manually.

Accessing the Help

Refer to the Calibration Executive Help, accessible from Help»Calibration Executive Help, for information about Calibration Executive.

Automating the Installation of NI Products

You can automate the installation of most NI products using command-line arguments to suppress some or all of the installer user interface and dialog boxes. However, starting with the August 2012 releases (products using NI Installers version 3.1 or later), you may need to perform additional steps before or during a silent installation of NI software.

If the NI product you are installing uses Microsoft .NET 4.0, the .NET installer may run before any NI software installs and may require a reboot before the installation of NI software begins. To avoid a .NET reboot, install .NET 4.0 separately before you install NI software.

For more information about automating the installation of NI products, refer to the following KnowledgeBase articles:

Using NI Software with Microsoft Windows 10

Microsoft Windows 10 is the latest version of the Windows operating system and features significant changes compared to previous versions. Windows 10 introduces several new capabilities and also combines features from both Windows 7 and Windows 8. For more information about NI support for Windows 10, visit ni.com/windows10.

Using NI Software with Microsoft Windows 8.1

When you install NI software on Microsoft Windows 8.1, you will notice a few additional tiles in the Apps view, including shortcuts to NI application software products such as NI LabVIEW, Measurement & Automation Explorer (NI MAX), and NI Launcher. For more information about NI support for Windows 8.1, visit ni.com/windows8.


Legal Information

Copyright

© 2005–2018 National Instruments. All rights reserved.

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.

NI respects the intellectual property of others, and we ask our users to do the same. NI software is protected by copyright and other intellectual property laws. Where NI software may be used to reproduce software or other materials belonging to others, you may use NI software only to reproduce materials that you may reproduce in accordance with the terms of any applicable license or other legal restriction.

End-User License Agreements and Third-Party Legal Notices

You can find end-user license agreements (EULAs) and third-party legal notices in the following locations after installation:

  • Notices are located in the <National Instruments>\_Legal Information and <National Instruments> directories.
  • EULAs are located in the <National Instruments>\Shared\MDF\Legal\license directory.
  • Review <National Instruments>\_Legal Information.txt for information on including legal information in installers built with NI products.

U.S. Government Restricted Rights

If you are an agency, department, or other entity of the United States Government ("Government"), the use, duplication, reproduction, release, modification, disclosure or transfer of the technical data included in this manual is governed by the Restricted Rights provisions under Federal Acquisition Regulation 52.227-14 for civilian agencies and Defense Federal Acquisition Regulation Supplement Section 252.227-7014 and 252.227-7015 for military agencies.

IVI Foundation Copyright Notice

Content from the IVI specifications reproduced with permission from the IVI Foundation.

The IVI Foundation and its member companies make no warranty of any kind with regard to this material, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The IVI Foundation and its member companies shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this material.

Trademarks

Refer to the NI Trademarks and Logo Guidelines at ni.com/trademarks for information on NI trademarks. Other product and company names mentioned herein are trademarks or trade names of their respective companies.

Patents

For patents covering the NI products/technology, refer to the appropriate location: Help»Patents in your software, the patents.txt file on your media, or the NI Patent Notice at ni.com/patents.

375683P-01